org.eclipse.spi.net4j

## Class Channel.ReceiveSerializer

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.concurrent.Worker
      - - org.eclipse.net4j.util.concurrent.QueueWorker<java.lang.Runnable>
        - - org.eclipse.net4j.util.concurrent.QueueRunner
          - - org.eclipse.net4j.util.concurrent.QueueWorkerWorkSerializer
            - - org.eclipse.spi.net4j.Channel.ReceiveSerializer

- All Implemented Interfaces:
    IWorkSerializer, INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation
  Enclosing class:
    Channel

  Deprecated.
  As of 4.4 scheduled for future removal.

      @Deprecated
      protected class Channel.ReceiveSerializer
      extends QueueWorkerWorkSerializer

  Since:
    4.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.concurrent.Worker

      `Worker.WorkContext`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

      `DEFAULT_POLL_MILLIS`

    - ### Fields inherited from class org.eclipse.net4j.util.concurrent.Worker

      `DEFAULT_ERROR_HANDLER, DEFAULT_TIMEOUT`

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ReceiveSerializer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getThreadName()` Deprecated.
    `protected void` | `noWork(Worker.WorkContext context)` Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueWorkerWorkSerializer

      `dispose`

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueRunner

      `work`

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

      `clearQueue, createQueue, doDeactivate, doRemainingWorkBeforeDeactivate, getPollMillis, setPollMillis, work`

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.Worker

      `doActivate, getActivationTimeout, getDeactivationTimeout, getGlobalErrorHandler, getWorkerThread, handleError, isDaemon, setActivationTimeout, setDaemon, setDeactivationTimeout, setGlobalErrorHandler`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### ReceiveSerializer

          protected ReceiveSerializer()

      Deprecated.

  - ### Method Detail

    - #### getThreadName

          protected java.lang.String getThreadName()

      Deprecated.
      Overrides:
        `getThreadName` in class `Worker`

    - #### noWork

          protected void noWork(Worker.WorkContext context)

      Deprecated.
      Overrides:
        `noWork` in class `QueueWorker<java.lang.Runnable>`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html